Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 492744 - Review Request: python-grizzled - The Grizzled Utility Library is a general-purpose Python library
Summary: Review Request: python-grizzled - The Grizzled Utility Library is a general-p...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: noarch
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-03-29 08:31 UTC by Jason Friedland
Modified: 2009-07-10 20:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-10 20:13:27 UTC


Attachments (Terms of Use)

Description Jason Friedland 2009-03-29 08:31:06 UTC
Spec URL: http://jason.friedland.id.au/pkg/python-grizzled.spec
SRPM URL: http://jason.friedland.id.au/pkg/python-grizzled-0.9.1-1.fc10.src.rpm
Description: The Grizzled Utility Library is a general-purpose Python library with a variety of different modules and packages. It's roughly organized into subpackages that group different kinds of utility functions and classes.

Comment 1 Jason Friedland 2009-03-30 03:43:49 UTC
Oh and I forgot to mention, this is my first package and I'm looking for a sponsor (have just added FE-NEEDSPONSOR to blocks field).

Comment 3 Susi Lehtola 2009-04-28 13:09:51 UTC
Same things here:

- don't use macros where they aren't needed (python, cp, mv, rm and so on)

- BR should be python-devel, not python [BR: python, python-devel is also redundant since python-devel requires python]

- Don't use filelists in install phase, but list the files and directories explicitly in the %files section (you can use wildcards, though), also %defattr should be (-,root,root,-)

- Remove empty %post and %postun sections

Comment 4 Mamoru TASAKA 2009-05-22 08:32:57 UTC
What is the status of this bug?

(In reply to comment #3)
> - don't use macros where they aren't needed (python, cp, mv, rm and so on)
- Using thise macros is not forbidden.

Comment 5 Mamoru TASAKA 2009-06-05 17:00:57 UTC
ping again?

Comment 6 Mamoru TASAKA 2009-06-14 16:47:26 UTC
again ping?

Comment 7 Jason Tibbitts 2009-07-10 20:13:27 UTC
No response; closing.


Note You need to log in before you can comment on or make changes to this bug.